آموزش جاوااسکریپت انجمن ها react native مشکل در راه اندازی react-native cli

  • این موضوع 0 پاسخ، 1 کاربر را دارد و آخرین بار در 7 ماه پیش بدست btcminer0098 به‌روزرسانی شده است.
در حال نمایش 1 نوشته (از کل 1)
  • نویسنده
    نوشته‌ها
  • #63607 پاسخ
    btcminer0098
    مشارکت کننده

    سلام خسته نباشید من یک هفته که تو راه اندازی و استفاده از react-native cli و expo cli گیر کردم هر کدام که میخام استفاده کنم چپ و راست ارور میدن
    Installing the following packages:
    nodejs-lts;openjdk11
    By installing, you accept licenses for the packages.
    Error retrieving packages from source ‘https://community.chocolatey.org/api/v2/’:
    The operation has timed out.
    nodejs-lts not installed. The package was not found with the source(s) listed.
    Source(s): ‘https://community.chocolatey.org/api/v2/’
    NOTE: When you specify explicit sources, it overrides default sources.
    If the package version is a prerelease and you didn’t specify --pre,
    the package may not be found.
    Please see https://docs.chocolatey.org/en-us/troubleshooting for more
    assistance.
    Error retrieving packages from source ‘https://community.chocolatey.org/api/v2/’:
    The operation has timed out.
    openjdk11 not installed. The package was not found with the source(s) listed.
    Source(s): ‘https://community.chocolatey.org/api/v2/’
    NOTE: When you specify explicit sources, it overrides default sources.
    If the package version is a prerelease and you didn’t specify --pre,
    the package may not be found.
    Please see https://docs.chocolatey.org/en-us/troubleshooting for more
    assistance.

    Chocolatey installed 0/2 packages. 2 packages failed.
    See the log for details (C:\ProgramData\chocolatey\logs\chocolatey.log).

    Failures
    – openjdk11 – openjdk11 not installed. The package was not found with the source(s) listed.
    Source(s): ‘https://community.chocolatey.org/api/v2/’
    NOTE: When you specify explicit sources, it overrides default sources.
    If the package version is a prerelease and you didn’t specify --pre,
    the package may not be found.
    Please see https://docs.chocolatey.org/en-us/troubleshooting for more
    assistance.
    – nodejs-lts – nodejs-lts not installed. The package was not found with the source(s) listed.
    Source(s): ‘https://community.chocolatey.org/api/v2/’
    NOTE: When you specify explicit sources, it overrides default sources.
    If the package version is a prerelease and you didn’t specify --pre,
    the package may not be found.
    Please see https://docs.chocolatey.org/en-us/troubleshooting for more
    assistance.
    ۱. این ارور رو موقع اجرای کد choco install -y nodejs-lts openjdk11 میگیرم
    ۲. از روش های قدیمی تر همه رو مراحل رو رفتم و موقع اجرای react-native با npm تو ترمینال vscode وقتی دستور npx react-native run-android رو اجرا میکنم ارور > Task :app:processDebugMainManifest FAILED رو میده تمام مراحل رو درست رفتم وادرس دهی و دانلود پکیج های دیگه انجام شده.
    ۳. با expo cli هم میخام پروژه رو ران کنم یا ران نمیشه کلا یا حداقل ۱۰ دقیقه طول میکشه تا ران شه .
    تمام راه حل های توی stackover و github رو رفتم بازم درست نشدن .
    راهی هست از دست این ارورها خلاص شم؟؟؟

در حال نمایش 1 نوشته (از کل 1)
پاسخ به: مشکل در راه اندازی react-native cli
اطلاعات شما: